Subject: Re: bug#23738: [feature request] eww allow multiple buffer

From: Mark Oteiza <[email-masked]>
Date: Thu, 26 Jan 2017 13:06:11 -0500

On 25/01/17 at 08:50pm, Lars Ingebrigtsen wrote:
> Mark Oteiza <[email-masked]> writes:
> 
> > What happens when I navigate to another site in the same buffer?  Then
> > the buffer name is deceptive.  Both s and S show the site and/or title,
> > and the header line of the eww buffer always has both, so this change seems
> > strange IMHO.
> 
> On the other hand, we also have other buffers that have names that
> may become misleading after a while.  For instance:
> 
> (buffer-name) -> "*unsent wide reply to Mark Oteiza*"
> 
> Even if I remove you from the headers, the buffer doesn't change name.
> :-)  So there's precedence.
> 
> Another option is to say that if the user has called eww in
> open-in-a-new-window-mode, then all further RETs in the buffer should
> also pop to new windows...  Then the buffer name would always be
> correct.
> 
> The third option is to always rename the buffer in these cases.
> 
> The fourth is to revert to the previous meaningless buffer names, i.e.,
> *eww*<254> etc.
> 
> Opinions?

I don't think I've ever used message-mode's buffer name to tell which
email it is, looking at the subject is easier.  I certainly have never
used eww's buffer names to tell what website they are on, seeing how the
urls or titles are presented plainly in 3 different ways.

IMO The original report doesn't make sense.  The buffer names have
nothing to do with being able to use and manipulate multiple eww
buffers.

I'd just revert.  Alternatively, it looks trivial to make customizeable.